Trialmile docs

Set Status

POST
/orders/setStatus

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id*string
Length1 <= length
status*string

Value in

  • "picked_up"
  • "nearby"
  • "arrived"
  • "delivered"
  • "left_at_door"
  • "cant_access"
accessNotes?string
Lengthlength <= 500

Response Body

application/json

curl -X POST "https://example.com/orders/setStatus" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "status": "picked_up"  }'
null